{"openapi":"3.0.4","info":{"title":"Updates password policy for a user type","description":"Update the password policy for a given user type","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/identity"}],"paths":{"/api/authentication/password-policy/{userType}":{"put":{"tags":["Authentication"],"summary":"Updates password policy for a user type","description":"Update the password policy for a given user type","operationId":"UpdatePasswordPolicy","parameters":[{"name":"userType","in":"path","description":"The type of user (should only be personal or service)","required":true,"schema":{"maxLength":20,"minLength":1,"pattern":"^[a-zA-Z]*$","type":"string"}}],"requestBody":{"description":"The password policy for the given user type","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/UpdatePasswordPolicyRequest"},"example":{"conditions":{"complexity":{"minLength":15,"excludeFirstName":true,"excludeLastName":true},"age":{"maxAgeDays":30,"historyCount":10},"lockout":{"maxAttempts":20}}}},"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/UpdatePasswordPolicyRequest"},"example":{"conditions":{"complexity":{"minLength":15,"excludeFirstName":true,"excludeLastName":true},"age":{"maxAgeDays":30,"historyCount":10},"lockout":{"maxAttempts":20}}}},"text/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/UpdatePasswordPolicyRequest"},"example":{"conditions":{"complexity":{"minLength":15,"excludeFirstName":true,"excludeLastName":true},"age":{"maxAgeDays":30,"historyCount":10},"lockout":{"maxAttempts":20}}}},"application/*+json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/UpdatePasswordPolicyRequest"},"example":{"conditions":{"complexity":{"minLength":15,"excludeFirstName":true,"excludeLastName":true},"age":{"maxAgeDays":30,"historyCount":10},"lockout":{"maxAttempts":20}}}}}},"responses":{"200":{"description":"Update password policy","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/PasswordPolicyResponse"},"example":{"conditions":{"complexity":{"minLength":12,"excludeFirstName":false,"excludeLastName":false},"age":{"maxAgeDays":90,"historyCount":4},"lockout":{"maxAttempts":10}}}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}